# https://github.com/eapache/go-xerial-snappy
%global goipath         github.com/eapache/go-xerial-snappy
%global commit          776d5712da21bc4762676d614db1d8a64f4238b0

%global common_description %{expand:
Xerial-compatible Snappy framing support for golang.

Packages using Xerial for snappy encoding use a framing format incompatible 
with basically everything else in existence. This package wraps Go's built-in 
snappy package to support it.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.1%{?dist}
Summary:        Xerial-compatible Snappy framing support for golang 
# Detected licences
# - Expat License at 'LICENSE'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/golang/snappy)

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Mon Oct 29 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.11.20181029git776d571
- First package for Fedora
